#!/bin/bash

SCRIPTPATH=`dirname "$0"`

# Add executable permission to doc converter tool(used to besoffice.bin, now it is pdftron converter) after update 
# see FF-3641
FixDocConvertPerm() {
    echo "Fix doc_convert tool executable permissions"
    chmod +x "${SCRIPTPATH}/../doc_convert/pdftron/doconvert"
    chmod +x "${SCRIPTPATH}/../doc_convert/pdftron/Linux/pdftronCADConvert"
    chmod +x "${SCRIPTPATH}/../doc_convert/pdftron/Linux/pdftronAdvancedImaging.so"
    chmod +x "${SCRIPTPATH}/../doc_convert/pdftron/Linux/pdftronDicom1.so"
    chmod +x "${SCRIPTPATH}/../doc_convert/pdftron/Linux/pdftronDicom2.so"
}

updateService() {
    if [ ! -f "/usr/lib/systemd/system/ffsconnector.service" ]; then
        mkdir -p /usr/lib/systemd/system
        if [ -x "/etc/init.d/ffsconnector" ]; then
            rm -f "/etc/init.d/ffsconnector"
        fi
        cp "${SCRIPTPATH}/../ffsconnector.service" /usr/lib/systemd/system/ffsconnector.service
        systemctl enable ffsconnector.service
        systemctl daemon-reload
#       systemctl start ffsconnector.service
    fi
	rm "${SCRIPTPATH}/../ffsconnector.service"
}

_QN_ACTION=${1}
_QN_MODULE=${2}

case "${_QN_ACTION}" in
    preprocess)
		;;
    postprocess)
        case "${_QN_MODULE}" in
            # Temporary use all modules including core because script is updated last with core. See FF-9321
            core|doc_convert)
		            FixDocConvertPerm
                    updateService
                ;;
            *)
                echo "Unknown module: ${_QN_MODULE}"
                ;;
        esac
		;;
	*)
	    echo "Unknown action: ${_QN_ACTION}, can be: preprocess|postprocess"
		exit 1
esac
exit 0