#!/bin/bash
# psvutil.sh for Linux (Ubuntu)
SCRIPTPATH=`dirname $0`
# Change working dir
cd ${SCRIPTPATH}

. ./common.sh

# Get os release
QN_OS_ID=`cat /etc/os-release | sed -n -e 's/^ID=//p' | sed -s "s/^\(\(\"\(.*\)\"\)\|\('\(.*\)'\)\)\$/\\3\\5/g"`
# Get OS major ver
QN_OS_VER_ID=`cat /etc/os-release | sed -n -e 's/^VERSION_ID=//p' | sed -s "s/^\(\(\"\(.*\)\"\)\|\('\(.*\)'\)\)\$/\\3\\5/g"`

resources() {
    GetResourcesByDf
}

folders() {
    GetSharedFolders $1 $2
}

# Get environment status. For now it is only firewall status.
getHealthTest(){
    if (/usr/bin/firewall-cmd --state); then
        if (/usr/bin/firewall-cmd --zone=public --add-port=4008-4009/tcp --permanent); then
            /usr/bin/firewall-cmd --reload || true
            ReportHealthNormal
        else
            ReportHealthError "${QN_ERR_CODE_FIREWALL}" "Unable to open firewall ports"
        fi
    else
        # firewall is stopped
        ReportHealthNormal
    fi
}


qn_main_exec $1 $2
